Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(648)

Unified Diff: buildbot/buildbot_toolchain_mips_trusted.sh

Issue 101713002: [MIPS] Upload a toolchain tarball for MIPS after the build step (Closed) Base URL: http://git.chromium.org/native_client/src/native_client.git@master
Patch Set: Update. Created 7 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « buildbot/buildbot_selector.py ('k') | buildbot/file_up_down_load.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: buildbot/buildbot_toolchain_mips_trusted.sh
diff --git a/buildbot/buildbot_toolchain_mips_trusted.sh b/buildbot/buildbot_toolchain_mips_trusted.sh
new file mode 100755
index 0000000000000000000000000000000000000000..5930748c5a983a803b2a4f127b677d58877c6e6a
--- /dev/null
+++ b/buildbot/buildbot_toolchain_mips_trusted.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright (c) 2013 The Native Client Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Script assumed to be run in native_client/
+if [[ $(basename $(pwd)) != "native_client" ]]; then
+ echo "ERROR: must be run in native_client!"
+ exit 1
+fi
+
+set -x
+set -e
+set -u
+
+readonly UP_DOWN_LOAD="buildbot/file_up_down_load.sh"
+readonly TRUSTED_TOOLCHAIN_CREATOR=\
+"tools/trusted_cross_toolchains/trusted-toolchain-creator.mipsel.debian.sh"
+
+echo @@@BUILD_STEP compile_toolchain@@@
+${TRUSTED_TOOLCHAIN_CREATOR} nacl_sdk
+
+echo @@@BUILD_STEP upload_tarball@@@
+${UP_DOWN_LOAD} UploadToolchainTarball ${BUILDBOT_GOT_REVISION} \
+ linux_mips-trusted nacl_sdk.tgz
« no previous file with comments | « buildbot/buildbot_selector.py ('k') | buildbot/file_up_down_load.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698